| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
touchpaint.ino File Reference

Go to the source code of this file.

## Functions
static void | setup (void)
static void | loop ()

## Macros
#define | TS_MINX 150
#define | TS_MINY 130
#define | TS_MAXX 3800
#define | TS_MAXY 4000
#define | STMPE_CS 8
#define | TFT_CS 10
#define | TFT_DC 9
#define | BOXSIZE 40
#define | PENRADIUS 3

## Variables
Adafruit_STMPE610 | ts = Adafruit_STMPE610(STMPE_CS)
Adafruit_ILI9341 | tft = Adafruit_ILI9341(TFT_CS, TFT_DC)
static int | oldcolor
static int | currentcolor

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 75 of file touchpaint.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 43 of file touchpaint.ino.

## Macro Definition Documentation

## ◆ BOXSIZE

#define BOXSIZE 40

Definition at line 39 of file touchpaint.ino.

## ◆ PENRADIUS

#define PENRADIUS 3

Definition at line 40 of file touchpaint.ino.

## ◆ STMPE_CS

#define STMPE_CS 8

Definition at line 30 of file touchpaint.ino.

## ◆ TFT_CS

#define TFT_CS 10

Definition at line 34 of file touchpaint.ino.

## ◆ TFT_DC

#define TFT_DC 9

Definition at line 35 of file touchpaint.ino.

## ◆ TS_MAXX

#define TS_MAXX 3800

Definition at line 26 of file touchpaint.ino.

## ◆ TS_MAXY

#define TS_MAXY 4000

Definition at line 27 of file touchpaint.ino.

## ◆ TS_MINX

#define TS_MINX 150

Definition at line 24 of file touchpaint.ino.

## ◆ TS_MINY

#define TS_MINY 130

Definition at line 25 of file touchpaint.ino.

## Variable Documentation

## ◆ currentcolor

int currentcolor
| static

Definition at line 41 of file touchpaint.ino.

## ◆ oldcolor

int oldcolor
| static

Definition at line 41 of file touchpaint.ino.

## ◆ tft

Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC)

Definition at line 36 of file touchpaint.ino.

## ◆ ts

Adafruit_STMPE610 ts = Adafruit_STMPE610(STMPE_CS)

Definition at line 31 of file touchpaint.ino.